# HSMM (_Hardware Security Mafia Module_)

(or _Boîte Noire Transactionelle de la Mafia_)

In this folder, you can find:
- `backdoor.diff`, a patch for [QEMU v8.2.2](https://github.com/qemu/qemu/releases/tag/v8.2.2) (*) which emulates perfectly the backdoored hardware used for the Hardware Security Module.
- a `Dockerfile` to easily run the HSMM, see instructions below.
- the `hsmm` binary.
- `openssl.tar`, a RISCV-64 OpenSSL 3.3.0-dev sysroot.
- the `qemu-riscv64` binary, built from QEMU v8.2.2 with `backdoor.diff` applied (user mode emulation).
- `riscv.tar`, a RISCV-64 sysroot built from the 2024.03.01 release of the GNU RISCV Toolchain.
- the `src` folder containing the sources of the HSMM.

(*) WARNING: versions of QEMU previous to v8.2.x won't work.

## Use the docker

```sh
docker build -t hsmm .
docker run -it -p 5000:5000 --privileged hsmm
```
