# HSMM (_Hardware Security Mafia Module_)

(or _Boîte Noire Transactionelle de la Mafia_)

## Rebuilding from source

Before building you need to install the [RISCV GNU Toolchain](https://github.com/riscv-collab/riscv-gnu-toolchain) (We used release [`2024.03.01`](https://github.com/riscv-collab/riscv-gnu-toolchain/releases/tag/2024.03.01)).

You also need to apply the patch `binutils.diff` in the `binutils` folder of the RISCV GNU Toolchain.

We're also relying on **the master branch of the OpenSSL project** (*).

(*) WARNING: versions of OpenSSL previous to 3.3.0-dev (or -alpha1) won't work.

```sh
git clone https://github.com/openssl/openssl
cd openssl
mkdir build
cd build
../Configure linux64-riscv64 --cross-compile-prefix=riscv64-unknown-linux-gnu- --prefix=${PWD}/sysroot --openssldir=${PWD}/sysroot
make
make install
cd ../..
OPENSSL_DIR=${PWD}/openssl/build/sysroot make
```
