# MafiaChat

In this folder, you can find:
- a `Dockerfile` to easily run the MafiaChat, see instructions below.
- `hsmm.py`, which powers MafiaChat's interface with the HSMM.
- `msgs.json`, the current message database.
- the `requirements.txt` needed to run the MafiaChat.
- `server.py`, which is MafiaChat's core file.
- `server.sh`, an utility script used to start MafiaChat.
- `version`, the current version of the message database.

## Use the docker

```sh
docker build -t mafiachat .
docker run -it -p 8000:8000 --add-host=host.docker.internal:host-gateway -e HSMM_HOSTNAME=host.docker.internal mafiachat
```
