In this archive you will find the disk image of the target environment: `ENIGMA.qcow2`

You can launch the environment using QEMU with the following command:

```
$ qemu-system-x86_64 \
-smp 2 \
-enable-kvm \
-cpu qemu64,+smep \
-m 1024M \
-device e1000,netdev=net0 \
-netdev user,id=net0 \
-hda ENIGMA.qcow2 \
-serial none
```

> Tip: You can simulate `Ctrl+Alt+Del` with `Ctrl+Alt+End`

Once the VM has booted, a password is requested. Two accounts are configured on this VM:
- `Administrator` with the password `Admin123`
- `EMERALD` with the password `User123`

Log as `Administrator`.

Then start the target driver with `net start netshdw`. The following message should be displayed:

```
The netshdw service was started successfully
```

You can then start your analysis.

Good luck!
