from pwn import remote
import base64

def hsm_sign(host, username: str, password: str, recipient: str, content: str, extra0: int, extra1: int):
    s = remote(*host)
    s.sendline(b"0")
    s.sendline(b"@" + username.encode())
    s.sendline(password.encode())
    s.sendline(b"@" + recipient.encode())
    s.sendline(content.encode()) # can contain +, /, =
    s.sendline(str(extra0).encode())
    s.sendline(str(extra1).encode())
    message_b64 = s.recvline()
    signature_b64 = s.recvline()
    s.close()
    return base64.b64decode(message_b64), base64.b64decode(signature_b64)
