#ifndef H_MESSAGE
#define H_MESSAGE

#include <stddef.h>

#define SIG_SZ 32
#define SIG_SZ_B64 44 // round_up(32 / 3) * 4

size_t format(char **out, char *username, size_t username_sz, char *recipient,
              size_t recipient_sz, char *content, size_t content_sz);
size_t encode(char **out, unsigned char *in, size_t in_sz);
void sign(char *out, unsigned char *message, size_t message_sz);
int verify(char *claim_b64, unsigned char *message_b64, size_t message_b64_sz);

#endif /* H_MESSAGE */
